{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "key": {
    "G": "minecraft:glass",
    "S": "exotelcraft:blue_crystal_shard"
  },
  "pattern": [
    " S ",
    "SGS",
    " S "
  ],
  "result": {
    "count": 2,
    "id": "minecraft:tinted_glass"
  },
  "show_notification": true
}